Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.asSyntax
Class ObjectTermImpl

    java.lang.Object
      jason.asSyntax.DefaultTerm
          jason.asSyntax.ObjectTermImpl

All Implemented Interfaces:
  ObjectTerm, Term, ToDOM, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Term>

    public class ObjectTermImpl

extends DefaultTerm
implements ObjectTerm

See Also:
  Serialized Form

Field Summary

Fields inherited from class jason.asSyntax.DefaultTerm
`hashCodeCache, srcInfo`

Constructor Summary
`ObjectTermImpl(java.lang.Object o)` Creates a new Term Wrapper for java object

Method Summary
`protected int` | `calcHashCode()`
`ObjectTerm` | `clone()`
`boolean` | `equals(java.lang.Object o)`
`org.w3c.dom.Element` | `getAsDOM(org.w3c.dom.Document document)`
`java.lang.Object` | `getObject()`
`java.lang.String` | `toString()`

Methods inherited from class jason.asSyntax.DefaultTerm
`apply, compareTo, countVars, getErrorMsg, getSrcInfo, hashCode, hasVar, isArithExpr, isAtom, isGround, isInternalAction, isList, isLiteral, isNumeric, isPlanBody, isPred, isRule, isString, isStructure, isUnnamedVar, isVar, parse, resetHashCodeCache, setSrcInfo`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface jason.asSyntax.Term
`apply, countVars, getSrcInfo, hasVar, isArithExpr, isAtom, isGround, isInternalAction, isList, isLiteral, isNumeric, isPlanBody, isPred, isRule, isString, isStructure, isUnnamedVar, isVar, setSrcInfo`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### ObjectTermImpl

    public ObjectTermImpl(java.lang.Object o)

  Creates a new Term Wrapper for java object

Method Detail

### getObject

    public java.lang.Object getObject()

  Specified by:
    `getObject` in interface `ObjectTerm`

### calcHashCode

    protected int calcHashCode()

  Specified by:
    `calcHashCode` in class `DefaultTerm`

### equals

    public boolean equals(java.lang.Object o)

  Specified by:
    `equals` in interface `Term`
  Overrides:
    `equals` in class `java.lang.Object`

### clone

    public ObjectTerm clone()

  Specified by:
    `clone` in interface `Term`
  Specified by:
    `clone` in class `DefaultTerm`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getAsDOM

    public org.w3c.dom.Element getAsDOM(org.w3c.dom.Document document)

  Specified by:
    `getAsDOM` in interface `ToDOM`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD